Loading...
Searching...
No Matches
caf::detail::is_builtin< T > Struct Template Reference

Checks whether T is considered a builtin type. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::detail::is_builtin< T >

Checks whether T is considered a builtin type.

Builtin types are: (1) all arithmetic types (including time types), (2) string types from the STL, and (3) built-in types such as actor_ptr.

## Member Data Documentation

## value

template<class T>

bool caf::detail::is_builtin< T >::value

static constexpr

Initial value:
= std::is_arithmetic<T>::value
|| is_duration<T>::value
|| is_one_of<T, timestamp, std::string,
std::u16string, std::u32string,
atom_value, message, actor, group,
node_id>::value
caf::actor
Identifies an untyped actor.
Definition actor.hpp:42
caf::message
Describes a fixed-length, copy-on-write, type-erased tuple with elements of any type.
Definition message.hpp:47
caf::node_id
A node ID is an opaque value for representing CAF instances in the network.
Definition node_id.hpp:38
caf::atom_value
atom_value
The value type of atoms.
Definition atom.hpp:32
caf::timestamp
std::chrono::time_point< std::chrono::system_clock, timespan > timestamp
A portable timestamp with nanosecond resolution anchored at the UNIX epoch.
Definition timestamp.hpp:30
caf::detail::is_duration
Checks whether T is a std::chrono::duration.
Definition type_traits.hpp:160
caf::detail::is_one_of
Checks wheter T is in the template parameter pack Ts.
Definition is_one_of.hpp:28

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp